#mirfalah/laravel-swift

Service provider for laravel which provide Mirfalah Swift_Transport implementation

---
##Installation

Add following repository records into `composer.json`
```json
{
  "repositories": [
    {
      "type": "vcs",
      "url": "https://git.mirfalah.my/mirfalah-tech/sendmail-swift-transport.git"
    },
    {
      "type": "vcs",
      "url": "https://git.mirfalah.my/mirfalah-tech/laravel-swift.git"
    }
  ]
}
```
Then execute
```shell script
composer require mirfalah/laravel-swift ^1.0
```

---
##Usage

```php
# file: config/mail.php
return [
    ...
    'mirfalah' => [
        'api_key'=> env('MIRFALAH_SENDMAIL_APIKEY'),
        'secret'=> env('MIRFALAH_SENDMAIL_SECRET'),
        'endpoint' => env(
            'MIRFALAH_SENDMAIL_ENDPOINT',
            'https://pahangmail.mirfalah.my/mirfalah-sendmail/index.php'
        )
    ]
    ...
];
```
```dotenv
# file: .env
MAIL_DRIVER=mirfalah
MIRFALAH_SENDMAIL_APIKEY=""
MIRFALAH_SENDMAIL_SECRET=""
```
